package modules::Inputs;

###################################################
#
#
###################################################

use strict;
use locale;

use modules::Config;
use modules::HTML_Functions;
use modules::Design;
use modules::Subfunctions;


require Exporter;
use vars  qw(@ISA @EXPORT $VERSION
	     &inputs_input
	     &inputs_input_check
	     );


@ISA    = qw(Exporter);
@EXPORT = qw(
	     &inputs_input
	     &inputs_input_check
	     );

$VERSION = 0.1;



####################################################
#
####################################################

################################################################################

sub print_formular {
    my ($input, $l1, $l2, $error, $l3) = @_;

    if ($input eq 'INPUTS') {
	if($config_display_form{'INPUTS'}) {
	    print $l1;
	    &input($error, $l2);
	    print $l3."\n";
	}
    }
}



################################################################################
sub inputs_input {
    my ($q, $param) = @_;

#    my @params = @{$config_display_form{$param.'_params'}};
#    my $value = $q->param($param);

    if($config_display_form{$param}) {
	&red_star();
	print "<br>\n";
    }

    &print_input($param, $q->param($param));
}



################################################################################
sub inputs_input_check {
    my ($q, $verbose, $param) = @_;

    # muss Wert ausgewaehlt sein?
    if(($config_display_form{$param} == 1) && ($param eq '')) {
	&print_error($verbose, $config_messages{'CHECK'});
	return(1);
    }

    return(0);


    &print_error($verbose, $config_messages{'CHECK'});
    return(1);
}






# don't forget the return value ;-)
1;
